【漏洞通告】Spring Framework远程代码执行漏洞(CVE-2022-22965)

释放双眼,带上耳机,听听看~!

2022331日,Spring官方发布安全公告,披露CVE-2022-22965 Spring Framework远程代码执行漏洞

漏洞描述

Spring框架(Framework)是一个开源的轻量级J2EE应用程序开发框架,提供了IOCAOPMVC等功能,解决了程序人员在开发中遇到的常见问题,提高了应用程序开发便捷度和软件系统构建效率。2022331日,Spring官方发布安全公告,披露CVE-2022-22965 Spring Framework远程代码执行漏洞。由于Spring框架存在处理流程缺陷,攻击者可在远程条件下,实现对目标主机的后门文件写入和配置修改,继而通过后门文件访问获得目标主机权限。使用Spring框架或衍生框架构建网站等应用,且同时使用JDK版本在9及以上版本的,易受此漏洞攻击影响。本站安全专题提醒 Spring Framework 用户尽快采取安全措施阻止漏洞攻击。

漏洞评级

Spring Framework 远程代码执行漏洞严重

影响版本

Spring Framework 5.3.x < 5.3.18 

Spring Framework 5.2.x < 5.2.20

注:其他 Spring Framework 小版本未更新均可能受影响,使用Java 8 及之前版本运行的 Spring Framework 程序不受该漏洞影响。

安全版本

Spring Framework = 5.3.18 

Spring Framework = 5.2.20

修复方案

建议受影响客户升级Spring Framework框架至 5.3.18 、5.2.20 及其以上版本。

相关链接

1、https://spring.io/blog/2022/03/31/spring-framework-rce-early-announcement

2、https://www.cnvd.org.cn/webinfo/show/7541

我们会关注后续进展,请随时关注官方公告。

如有任何问题,可随时通过工单联系反馈。

本站安全专题

2022.3.31

给TA打赏
共{{data.count}}人
人已打赏
安全漏洞

关于 Linux 内核本地提权漏洞的安全问题(CVE-2022-0847)影响

2022-3-8 11:36:11

安全网络

Redis分布式锁

2021-8-18 16:36:11

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索